%define module_name Plack-Middleware-Auth-FCGI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FCGI/Client.pm) perl(Plack.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: authentication middleware that query remote FastCGI server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/G/GU/GUIMARD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Plack::Middleware::Auth::FCGI permits to protect an application by querying
a remote FastCGI server *(like Nginx auth_request)*.

It can be used with Lemonldap::NG in a
SSO-as-a-Service (SSOaaS)
system.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc GPL-1 LICENSE.md Changes Artistic README.md
%perl_vendor_privlib/P*

%changelog
* Sat Jun 02 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Wed May 30 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

